Subject: Re: linux-next: build failure after merge of the arm-soc tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 14 Apr 2015 09:47:35 +1000

Hi all,

On Wed, 8 Apr 2015 16:59:49 +0200 Matthias Brugger <[email-masked]> wrote:
>
> 2015-04-08 16:49 GMT+02:00 Linus Walleij <[email-masked]>:
> > On Tue, Apr 7, 2015 at 2:28 PM, Arnd Bergmann <[email-masked]> wrote:
> >> On Tuesday 07 April 2015 11:28:22 Linus Walleij wrote:
> >>> On Tue, Apr 7, 2015 at 10:43 AM, Matthias Brugger
> >>> <[email-masked]> wrote:
> >>> > 2015-04-07 3:12 GMT+02:00 Stephen Rothwell <[email-masked]>:
> >>> >> Hi all,
> >>> >>
> >>> >> After merging the arm-soc tree, today's linux-next build (arm
> >>> >> multi_v7_defconfig) failed like this:
> >>> >>
> >>> >> In file included from arch/arm/boot/dts/mt8135.dtsi:18:0,
> >>> >>                  from arch/arm/boot/dts/mt8135-evbp1.dts:16:
> >>> >> arch/arm/boot/dts/mt8135-pinfunc.h:18:40: fatal error: dt-bindings/pinctrl/mt65xx.h: No such file or directory
> >>> >>  #include <dt-bindings/pinctrl/mt65xx.h>
> >>> >>                                         ^
> >>> >>
> >>> >> Caused by commit e6f219b8ec5e ("ARM: dts: mt8135: Add pinctrl/GPIO/EINT
> >>> >> node for mt8135").
> >>> >
> >>> > This will be fixed as soon as Linus pinctrl for-next branch got merged [1].
> >>>
> >>> Hm that's unfortunate, we do not rely on merge orders.
> >>>
> >>> Either the ARM SoC tree needs to pull in the pinctrl commit
> >>> or I need to carry this patch in the pinctrl tree.
> >>>
> >>> Is this sufficiently stand-alone to be merged into my tree
> >>> or do you need to go by the former approach?
> >>
> >> Let's just delay this patch to another merge window. You can add the
> >> driver now, and we should just revert the DT node addition in arm-soc,
> >> and then we'll add it in 4.2, or come up with a better solution.
> >
> > OK. I'm not applying it then.
> 
> @arnd: I will send the patch in the next merge window then. Do you
> want me to do anything else for this merge window (e.g. resend the
> pull request without the patch)?

I am still applying my reversion patch to the arm-soc tree merge ...

-- 
Cheers,
Stephen Rothwell                    [email-masked]